> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tryfinch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update configurations for sandbox jobs



## OpenAPI

````yaml put /sandbox/jobs/configuration
openapi: 3.1.0
info:
  title: API Reference
  version: '2020-09-17'
  contact: {}
  description: >-
    The Finch HRIS API provides a unified way to connect to a multitide of HRIS
    systems. The API requires an access token issued by Finch.


    By default, Organization and Payroll requests use Finch's [Data
    Syncs](/developer-resources/Data-Syncs). If a request is made before the
    initial sync has completed, Finch will request data live from the provider.
    The latency on live requests may range from seconds to minutes depending on
    the provider and batch size.

    For automated integrations, Deductions requests (both read and write) are
    always made live to the provider. Latencies may range from seconds to
    minutes depending on the provider and batch size.



    Employer products are specified by the product parameter, a space-separated
    list of products that your application requests from an employer
    authenticating through Finch Connect. Valid product names are—

    - `company`: Read basic company data


    - `directory`: Read company directory and organization structure


    - `individual`: Read individual data, excluding income and employment data


    - `employment`: Read individual employment and income data


    - `payment`: Read payroll and contractor related payments by the company


    - `pay_statement`: Read detailed pay statements for each individual


    - `benefits`: Create and manage deductions and contributions and enrollment
    for an employer


    [![Open in
    Postman](https://run.pstmn.io/button.svg)](https://god.gw.postman.com/run-collection/21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4?action=collection%2Ffork&collection-url=entityId%3D21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4%26entityType%3Dcollection%26workspaceId%3D1edf19bc-e0a8-41e9-ac55-481a4b50790b)
servers:
  - url: https://api.tryfinch.com
    description: ''
security: []
tags:
  - name: Organization
  - name: Payroll
  - name: Deductions
  - name: Management
  - name: Sandbox
paths:
  /sandbox/jobs/configuration:
    put:
      tags:
        - Sandbox
      summary: Update configurations for sandbox jobs
      operationId: put-sandbox-jobs-configuration
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SandboxJobConfiguration'
            examples:
              Example 1:
                value:
                  type: data_sync_all
                  completion_status: success
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SandboxJobConfiguration'
              examples:
                Example 1:
                  value:
                    type: data_sync_all
                    completion_status: success
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Finch from '@tryfinch/finch-api';


            const client = new Finch({
              accessToken: 'My Access Token',
            });


            const sandboxJobConfiguration = await
            client.sandbox.jobs.configuration.update({
              completion_status: 'complete',
              type: 'data_sync_all',
            });


            console.log(sandboxJobConfiguration.completion_status);
        - lang: Python
          source: >-
            from finch import Finch


            client = Finch(
                access_token="My Access Token",
            )

            sandbox_job_configuration =
            client.sandbox.jobs.configuration.update(
                completion_status="complete",
                type="data_sync_all",
            )

            print(sandbox_job_configuration.completion_status)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/Finch-API/finch-api-go\"\n\t\"github.com/Finch-API/finch-api-go/option\"\n)\n\nfunc main() {\n\tclient := finchgo.NewClient(\n\t\toption.WithAccessToken(\"My Access Token\"),\n\t)\n\tsandboxJobConfiguration, err := client.Sandbox.Jobs.Configuration.Update(context.TODO(), finchgo.SandboxJobConfigurationUpdateParams{\n\t\tCompletionStatus: finchgo.F(finchgo.SandboxJobConfigurationUpdateParamsCompletionStatusComplete),\n\t\tType:             finchgo.F(finchgo.SandboxJobConfigurationUpdateParamsTypeDataSyncAll),\n\t})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", sandboxJobConfiguration.CompletionStatus)\n}\n"
        - lang: Java
          source: |-
            package com.tryfinch.api.example;

            import com.tryfinch.api.client.FinchClient;
            import com.tryfinch.api.client.okhttp.FinchOkHttpClient;
            import com.tryfinch.api.models.SandboxJobConfiguration;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    FinchClient client = FinchOkHttpClient.builder()
                        .fromEnv()
                        .accessToken("My Access Token")
                        .build();

                    SandboxJobConfiguration params = SandboxJobConfiguration.builder()
                        .completionStatus(SandboxJobConfiguration.CompletionStatus.COMPLETE)
                        .type(SandboxJobConfiguration.Type.DATA_SYNC_ALL)
                        .build();
                    SandboxJobConfiguration sandboxJobConfiguration = client.sandbox().jobs().configuration().update(params);
                }
            }
        - lang: Kotlin
          source: |-
            package com.tryfinch.api.example

            import com.tryfinch.api.client.FinchClient
            import com.tryfinch.api.client.okhttp.FinchOkHttpClient
            import com.tryfinch.api.models.SandboxJobConfiguration

            fun main() {
                val client: FinchClient = FinchOkHttpClient.builder()
                    .fromEnv()
                    .accessToken("My Access Token")
                    .build()

                val params: SandboxJobConfiguration = SandboxJobConfiguration.builder()
                    .completionStatus(SandboxJobConfiguration.CompletionStatus.COMPLETE)
                    .type(SandboxJobConfiguration.Type.DATA_SYNC_ALL)
                    .build()
                val sandboxJobConfiguration: SandboxJobConfiguration = client.sandbox().jobs().configuration().update(params)
            }
        - lang: Ruby
          source: >-
            require "finch_api"


            finch = FinchAPI::Client.new(access_token: "My Access Token")


            sandbox_job_configuration =
            finch.sandbox.jobs.configuration.update(completion_status:
            :complete, type: :data_sync_all)


            puts(sandbox_job_configuration)
components:
  schemas:
    SandboxJobConfiguration:
      title: SandboxJobConfiguration
      type: object
      properties:
        type:
          enum:
            - data_sync_all
        completion_status:
          enum:
            - complete
            - reauth_error
            - permissions_error
            - error
      required:
        - type
        - completion_status
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Please use your Access Token

````